EDIT - bug #7608
task # 7596 (Closed): PhycoBank Portal - Formatting

TypeDesignationSetManager: string representations for media types are missing
07/31/2018 12:12 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

Media types are currently represented as:
e Antigua and Barbuda. Holotype,
After the comma data is missing.
Media types should be rendered in the following form depending on their type:
¢ unpublished (has collection information): "[icon] {collection} {accession_number}" in case the media url is set the accession
number can be rendered as link in webapplications

¢ published (no collection information): "[icon] {ref_detail} in {reference}" in case the media url is set the ref_detail can be
rendered as link in webapplications

Related issues:
Related to EDIT - feature request #7612: CacheStrategy for MediaSpecimens Duplicate
Copied to EDIT - feature request #7611: media types with media uris are click... Closed

Associated revisions

Revision 9630eead - 07/31/2018 05:55 PM - Andreas Kohlbecker

ref #7608 string representations for media types implemented - tests

Revision 7474a0ba - 07/31/2018 05:55 PM - Andreas Kohlbecker

ref #7608 string representations for media types implemented

History

#1 - 07/31/2018 02:56 PM - Andreas Kohlbecker

- Description updated

#2 - 07/31/2018 02:57 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#3 - 07/31/2018 05:57 PM - Andreas Kohlbecker

- Copied to feature request #7611: media types with media uris are clickable added

#4 - 07/31/2018 06:00 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- Priority changed from New to Highest

- % Done changed from 0 to 50

completely solved, please review
#5 - 07/31/2018 06:14 PM - Andreas Kohlbecker
- Related to feature request #7612: CacheStrategy for MediaSpecimens added

#6 - 08/03/2018 01:57 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Henning sagt: PASST!
